# class Chef::FileContentManagement::Deploy::Cp

PURPOSE: This strategy preserves the inode, and will preserve modes + ownership

    even if the user running chef cannot create that ownership (but has
    rights to the file).  It is vulnerable to crashes in the middle of
    writing the file which could result in corruption or zero-length files.

### Public Instance Methods

create(file) click to toggle source

    # File lib/chef/file_content_management/deploy/cp.rb, line 36
    def create(file)
      Chef::Log.debug("touching #{file} to create it")
      FileUtils.touch(file)
    end

deploy(src, dst) click to toggle source

    # File lib/chef/file_content_management/deploy/cp.rb, line 41
    def deploy(src, dst)
      Chef::Log.debug("copying temporary file #{src} into place at #{dst}")
      FileUtils.cp(src, dst)
    end